Package net.shibboleth.idp.saml.messaging.impl

# Class AddAttributeConsumingServiceHandler

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.saml.common.binding.impl.SAMLAddAttributeConsumingServiceHandler
net.shibboleth.idp.saml.messaging.impl.AddAttributeConsumingServiceHandler

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public class AddAttributeConsumingServiceHandler extends SAMLAddAttributeConsumingServiceHandler
Extension of OpenSAML handler that incorporates `BrowserSSOProfileConfiguration.getRequestedAttributes(org.opensaml.profile.context.ProfileRequestContext)`.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<MessageContext,ProfileRequestContext>`
`profileRequestContextLookupStrategy`
Lookup strategy for `ProfileRequestContext`.
`private Function<ProfileRequestContext,RelyingPartyContext>`
`relyingPartyContextLookupStrategy`
Lookup strategy for `RelyingPartyContext`.

## Constructor Summary

Constructors
Constructor
Description
`AddAttributeConsumingServiceHandler()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Collection<RequestedAttribute>`
`getRequestedAttributes(MessageContext messageContext, AuthnRequest authn)`
`void`
`setProfileRequestContextLookupStrategy(Function<MessageContext,ProfileRequestContext> strategy)`
Set the lookup strategy for the `ProfileRequestContext`.
`void`
`setRelyingPartyContextLookupStrategy(Function<ProfileRequestContext,RelyingPartyContext> strategy)`
Set the lookup strategy for the `RelyingPartyContext`.

### Methods inherited from class org.opensaml.saml.common.binding.impl.SAMLAddAttributeConsumingServiceHandler

`doInvoke, doPreInvoke, setIndexLookupStrategy, setMetadataContextLookupStrategy`

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### profileRequestContextLookupStrategy

@Nonnull private Function<MessageContext,ProfileRequestContext> profileRequestContextLookupStrategy
Lookup strategy for `ProfileRequestContext`.

### relyingPartyContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,RelyingPartyContext> relyingPartyContextLookupStrategy
Lookup strategy for `RelyingPartyContext`.

## Constructor Details

### AddAttributeConsumingServiceHandler

public AddAttributeConsumingServiceHandler()
Constructor.

## Method Details

### setProfileRequestContextLookupStrategy

public void setProfileRequestContextLookupStrategy(@Nonnull Function<MessageContext,ProfileRequestContext> strategy)
Set the lookup strategy for the `ProfileRequestContext`.

Parameters:
  `strategy` - lookup strategy

### setRelyingPartyContextLookupStrategy

public void setRelyingPartyContextLookupStrategy(@Nonnull Function<ProfileRequestContext,RelyingPartyContext> strategy)
Set the lookup strategy for the `RelyingPartyContext`.

Parameters:
  `strategy` - lookup strategy

### getRequestedAttributes

@Nullable @Unmodifiable @NotLive protected Collection<RequestedAttribute> getRequestedAttributes(@Nonnull MessageContext messageContext, @Nonnull AuthnRequest authn)

Overrides:
  `getRequestedAttributes` in class `SAMLAddAttributeConsumingServiceHandler`